/* 
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  


   ### File Specific:
   main-programmer: Benjamin Grauer

*/

#include "orxonox_gui_audio.h"

OrxonoxGuiAudio::OrxonoxGuiAudio ()
{
  audioFrame = new Frame ("Audio-Options:");
  audioBox = new Box ('v');
  
  enableSound = new CheckButton ("Disable Sound");
  enableSound->setFlagName ("no-sound", 0);
  audioBox->fill (enableSound);
  Label* musicVolumeLabel = new Label ("Music Volume");
  audioBox->fill (musicVolumeLabel);
  musicVolume = new Slider ("Music Volume", 0, 100);
  musicVolume->setFlagName ("music-volume", "m", 80);
  audioBox->fill (musicVolume);
  Label* effectsVolumeLabel = new Label ("Effects Volume");
  audioBox->fill (effectsVolumeLabel);
  effectsVolume = new Slider ("Effects Volume", 0, 100);
  effectsVolume->setFlagName ("effects-volume", "e", 80);
  audioBox->fill (effectsVolume);

  audioFrame->fill (audioBox);
}

Frame* OrxonoxGuiAudio::getFrame ()
{
  return audioFrame;
}
