/* 
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  


   ### File Specific:
   main-programmer: Benjamin Grauer

*/

#include "orxonox_gui_flags.h"
#include <iostream.h>


OrxonoxGuiFlags::OrxonoxGuiFlags (Widget* widget)
{
  flagText = (char*) malloc (1024);

  flagsFrame = new Frame ("Orxonox-Startup-Flags:");
  flagsBox = new Box ('v');

  flagsLabel = new Label ();
  flagsBox->fill (flagsLabel);
  shortFlags = new CheckButton ("shortFlags");
  flagsBox->fill (shortFlags);

  flagsFrame->fill (flagsBox);
}

Frame* OrxonoxGuiFlags::getFrame ()
{
  return flagsFrame;
}

void OrxonoxGuiFlags::setTextFromFlags (Widget* widget)
{
  sprintf (flagText, "");
  strcat (flagText, "orxonox");
  FlagsText (widget);
  flagsLabel->setText (flagText);
}

void OrxonoxGuiFlags::FlagsText(Widget* widget)
{
  if (widget->is_option >= 1)
    if  (static_cast<Option*>(widget)->value != static_cast<Option*>(widget)->default_value && (strcmp (static_cast<Option*>(widget)->flag_name, "") || strcmp (static_cast<Option*>(widget)->flag_name_short, "")))
      {
	if (gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(shortFlags->widget)))
	  {
	    strcat (flagText, " -");
	    strcat (flagText, static_cast<Option*>(widget)->flag_name_short);
	  }
	else
	  {
	    strcat (flagText, " --");
	    strcat (flagText, static_cast<Option*>(widget)->flag_name);
	  }
	if (static_cast<Option*>(widget)->is_option == 2)
	  {
	    sprintf (flagText, "%s=%i", flagText, static_cast<Option*>(widget)->value);
	  }
      }
  switch (widget->is_option)
    {
    case -1:
      FlagsText (static_cast<Container*>(widget)->down);
      break;
    case -2:
      FlagsText (static_cast<Box*>(widget)->down);
      break;
    } 
  
  if (widget->next != NULL)
    FlagsText (widget->next);
}


